#!/bin/bash

echo "Please insert full path to the pfx file!"

read certpath

echo "Please insert new name off cert! (e.g. srv-01)!"

read certname

#Extract the certificate from the pfx file

openssl pkcs12 -in $certpath -clcerts -nokeys -out $certname.crt

#Extract private key from the pfx file

openssl pkcs12 -in $certpath -nocerts -nodes -out $certname.key

#Extract chain from the pfx file

openssl pkcs12 -in $certpath -out $certname.chain.crt -nodes -nokeys -cacerts